Bug 870691 - [abrt] yum-3.4.3-45.fc18: yumRepo.py:387:_ui_id:TypeError: argument of type 'Undefined' is not iterable
[abrt] yum-3.4.3-45.fc18: yumRepo.py:387:_ui_id:TypeError: argument of type '...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:73f8db921d3e2c2485488f82547...
:
: 882552 901598 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-27 20:36 EDT by Dartagnan
Modified: 2014-02-05 18:17 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: executable (8 bytes, text/plain)
2012-10-27 20:36 EDT, Dartagnan
no flags Details
File: environ (1.65 KB, text/plain)
2012-10-27 20:36 EDT, Dartagnan
no flags Details
File: smolt_data (2.61 KB, text/plain)
2012-10-27 20:36 EDT, Dartagnan
no flags Details
File: core_backtrace (2.48 KB, text/plain)
2012-10-27 20:36 EDT, Dartagnan
no flags Details

  None (edit)
Description Dartagnan 2012-10-27 20:36:10 EDT
Version-Release number of selected component:
yum-3.4.3-45.fc18

Additional info:
libreport version: 2.0.17
abrt_version:   2.0.16
cmdline:        /usr/bin/python /bin/yum update -v
kernel:         3.6.3-3.fc18.i686

backtrace:
:yumRepo.py:387:_ui_id:TypeError: argument of type 'Undefined' is not iterable
:
:Traceback (most recent call last):
:  File "/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 144, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 405, in doCommand
:    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
:  File "/usr/share/yum-cli/cli.py", line 899, in updatePkgs
:    self.update()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4666, in update
:    updates = self.up.getUpdatesTuples()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1028, in <lambda>
:    up = property(fget=lambda self: self._getUpdates(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 839, in _getUpdates
:    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1009, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 779, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 309, in populateSack
:    self.doSetup()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 134, in doSetup
:    self.retrieveAllMD()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 84, in retrieveAllMD
:    dl = repo._async and repo._commonLoadRepoXML(repo)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1370, in _commonLoadRepoXML
:    result = self._getFileRepoXML(local, text)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1148, in _getFileRepoXML
:    size=102400) # setting max size as 100K
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 950, in _getFile
:    result = self.grab.urlgrab(misc.to_utf8(relative), local,
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 626, in <lambda>
:    grab = property(lambda self: self._getgrab())
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 621, in _getgrab
:    self._setupGrab()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 586, in _setupGrab
:    urls = self.urls
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 806, in <lambda>
:    urls = property(fget=lambda self: self._geturls(),
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 803, in _geturls
:    self._baseurlSetup()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 769, in _baseurlSetup
:    self.check()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 513, in check
:    'Cannot find a valid baseurl for repo: %s' % self.ui_id
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 387, in _ui_id
:    if '$releasever' in val:
:TypeError: argument of type 'Undefined' is not iterable
:
:Local variables in innermost frame:
:self: <yum.yumRepo.YumRepository object at 0x99f15cc>
:val: <iniparse.config.Undefined object at 0x9ad96ac>
:section_id: 'planetccrma'
:ret: 'planetccrma'
:ini: <iniparse.ini.INISection object at 0x9ad4eec>
Comment 1 Dartagnan 2012-10-27 20:36:15 EDT
Created attachment 634386 [details]
File: executable
Comment 2 Dartagnan 2012-10-27 20:36:16 EDT
Created attachment 634387 [details]
File: environ
Comment 3 Dartagnan 2012-10-27 20:36:18 EDT
Created attachment 634388 [details]
File: smolt_data
Comment 4 Dartagnan 2012-10-27 20:36:20 EDT
Created attachment 634389 [details]
File: core_backtrace
Comment 5 Zdeněk Pavlas 2012-10-29 04:30:12 EDT
Repo "planetccrma" defines no metalink/mirrorlist/baseurl, so Yum can't use it.  But we should not fail in ui_id.. fixed this upstream.
Comment 6 Zdeněk Pavlas 2012-12-03 02:44:41 EST
*** Bug 882552 has been marked as a duplicate of this bug. ***
Comment 7 Ian Donaldson 2013-01-06 08:04:57 EST
Seeing this on FC17 also, and traced it to the adobe-linux-x86_64.repo
file not having '$releasever' mentioned, so moved that aside as 
a workaround to allow me to use yum.

yumBackend was continually failing due to this.

Is the fix going into FC17 also?
Comment 8 Zdeněk Pavlas 2013-01-07 03:02:19 EST
Backported.. will be fixed in -31.fc17
Comment 9 Zdeněk Pavlas 2013-01-18 10:43:04 EST
*** Bug 901598 has been marked as a duplicate of this bug. ***
Comment 10 neyzan 2013-01-18 12:07:24 EST
This problem occured while trying to activate the livna repo (I deleted the mirrorlist lines in /etc/yum.repos.d/livna.repo, because yum doesn't recognise the URL)...

Package: yum-3.4.3-47.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Jason Elwell 2013-03-09 21:16:42 EST
Ran yum trying to erase wine componants after successfully upgrading certain ones.

Package: yum-3.4.3-30.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Fedora End Of Life 2013-12-21 10:41:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 18:17:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.